Name:           perl-Role-Tiny
Version:        2.000006
Release:        1%{?org_tag}%{?dist}
Summary:        Roles. Like a nouvelle cuisine portion size slice of Moose
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Role-Tiny/
Source0:        http://localhost/cpan//authors/id/I/IL/ILMARI/Role-Tiny-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Class::Method::Modifiers) >= 1.05
Requires:       perl(Exporter) >= 5.57
Requires:       perl(Class::Method::Modifiers) >= 1.05
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Autoreq:        no

%description
Role::Tiny is a minimalist role composition tool.

%prep
%setup -q -n Role-Tiny-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Apr 04 2018 Gavin Carr <gavin@openfusion.com.au> 2.000006-1
- Update to version 2.000006.

* Tue Apr 19 2016 Gavin Carr <gavin@openfusion.com.au> 2.000001-1
- Update to version 2.000001.

* Fri Mar 06 2015 Gavin Carr <gavin@openfusion.com.au> 2.000000-1
- Update to version 2.000000.

* Fri Sep 20 2013 Gavin Carr <gavin@openfusion.com.au> 1.003002-1
- Update to version 1.003002.

* Wed Dec 12 2012 Gavin Carr <gavin@openfusion.com.au> 1.002004-1
- Specfile autogenerated by cpanspec 1.79.
